1. Avant de poster un sujet, vérifiez que vous êtes dans la bonne section ! Est-ce que le jeu se lance ? Est-ce qu'il crashe ? Est-ce que le launcher fonctionne comme attendu ? Ou est-ce un problème avec le site ? Ou avec Minecraft en général ? Toutes ces questions vous permettront de trouver la bonne catégorie ;)

[Erreur] "net.minecraft.client.main.Main" & cie

Discussion dans 'Sujets résolus' démarrée par Lotux, 13 Septembre 2016.

Statut:
Fermé aux futures réponses.
  1. Lotux

    Lotux Membre

    Inscrit depuis le :
    13 Septembre 2016
    Messages :
    4
    "J'aime" reçus :
    0
    Salutations,
    Je viens vers vous après quelques jours d'épluchage de forum divers et varié sur l'erreur suivante : Erreur : impossible de trouver ou charger la classe principale net.minecraft.client.main.Main

    J'ai décidé de passer d'un modpack que j'ai créé sur le Technic Launcher vers un launcher personnalisé près de chez vous, celui-ci fonctionnant sur Technic mais n'arrivant pas à se lancer sur votre launcher, attention, je ne jette pas la pierre, pour vous dire, j'ai même pris un launcher premium ! Je suis cependant dans la recherche de ce misérable bug ! ;)

    Voici le pastebin du crash.log : http://pastebin.com/qXBhnX1U

    Je suis en 1.10.2, j'ai bel et bien généré le Forge via la procédure expliqué dans le tutoriel. Voici le fichier : https://dl.dropboxusercontent.com/u/214603154/1.10.2-forge-12.18.1.2073.zip

    Alors, j'ai une explication possible selon-moi. J'ai remarqué que le lien devait se finir par la variable "?dl=1", mais possédant un espace "Public" sur ma Dropbox (d'où le ".zip" à la fin du lien) , je n'ai pas jugé utile d'y prêter attention vu que le téléchargement semblait bien se passer quand même. Mais je ne crois pas que ça ai une influence sur quoi que ce soit au niveau du truc.muche.main.Main.

    Autre explication c'est que j'ai UNIQUEMENT Java 8 sur ma machine "Chemin vers Java : C:\Program Files\Java\jre1.8.0_102\bin\javaw.exe" me faudrait-il Java 7 pour tout ça ?

    Bref, beaucoup de question pas énormément de solution de mon côté. La liste des mods usés est présente ici : http://www.modlister.com/server/Imperacube

    Merci d'avance de votre aide qui me sera, j'en suis convaincu, d'une assistance PRÉCIEUSE !

    Bon cube !

    LotuxPunk

    Nota Bene : Il s'agit de la liste des mods du serveur, Sponge et les plugins ne sont pas sur le client NATURELLEMENT ! :)
     
  2. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,488
    "J'aime" reçus :
    77
    Bonsoir Lotux,
    D'après ce que j'ai vu tu as configuré 2 ZIP pour ton launcher. Tu t'es compliqué la tâche pour rien même.

    En fait, 1 seul ZIP suffisait, configuré dans la partie "Utiliser un ZIP de ressources personnalisées".
    Combine tes 2 ZIPs en 1 seul qui devrait contenir cela :
    • le dossier "config" avec tous tes fichiers de config dedans
    • le dossier "libraries"
    • le dossier "mods" avec tous tes mods dedans
    • le dossier "versions"
    • le fichier "server.dat"
    En réalité, tu n'a pas besoin de configurer un JAR personnalisé.

    Je ne sais pas si j'ai été assez clair, alors si tu as des questions, n'hésite pas.
     
  3. Lotux

    Lotux Membre

    Inscrit depuis le :
    13 Septembre 2016
    Messages :
    4
    "J'aime" reçus :
    0
    Bonsoir Apokalysme,
    Et ce serait de là que viendrait le problème "main.main" ?
    Je fais de test de ce pas et je te dis quoi. Merci !
     
  4. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,488
    "J'aime" reçus :
    77
    Oui, sans aucun doute possible.

    Tiens moi au courant l'ami !
     
  5. Lotux

    Lotux Membre

    Inscrit depuis le :
    13 Septembre 2016
    Messages :
    4
    "J'aime" reçus :
    0
    Et bien chapeau bas ! Tout roule comme sur des roulettes ! :D

    Á vouloir trop bien suivre les consignes, je créé des erreurs, my bad ... :)

    Je te remercie pour cette remédiation simple, claire et efficace !

    PS : D'ailleurs que j'y pense, il n'y a pas de version 1.10.2 dans le tutoriel pour créé un package Forge, vous pouvez repiquer la solution dans le premier post, elle à l'air de plutôt bien marcher de mon côté ;)
    Cette partie du message a été fusionnée car un autre message a été posté à sa suite :
    Une question au passage, est-ce que il y a un blocage au niveau de la vitesse de téléchargement des ressources ? Car je ne télécharge qu'à 1Mo/sec alors que je peux facilement télécharger à 6,5Mo/sec (Vu que c'est héberger sur DropBox, je me posais là question. :) )
     
  6. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,488
    "J'aime" reçus :
    77
    Cool ! :D
    Content d'avoir pu résoudre ton souci :cool:

    En fait, si il y a un ZIP 1.10.2, que j'ai ajouté en début de semaine.
    La version que tu me proposes, je ne vais malheureusement pas pouvoir l'y ajouter par contre, car ce n'est pas une version dite "Recommended" (stable) par Forge.
    Et du coup, pour éviter de favoriser les versions potentiellement buggées, on préfère recommander les versions stables.

    Bon jeu :) l'ami !
    Cette partie du message a été fusionnée car un autre message a été posté à sa suite :
    Vérifie tes paramètres DropBox, mais normalement, ce n'est pas censé être limité, à moins que j'ai loupé l'information quelque part sur le site de DropBox.
     
  7. Lotux

    Lotux Membre

    Inscrit depuis le :
    13 Septembre 2016
    Messages :
    4
    "J'aime" reçus :
    0
    Ce qui est largement compréhensible ! ;) D'ailleurs ils tardent à en sortir une nouvelle stable, la majorité des mods ne se base plus sur la build 2011, bref encore un mystère de Forge .. :D
    Sans dire de bétises, je pense que sur Technic je téléchargeait à fond, mais sans certitude, je checkerais à l'occasion, pour l'heure je vais aller rassurer le peuple d'ImperaCube que le dieu Minecraft est à nouveau jouable ! (Le Technic Launcher bouffe bien trop de RAM à lui tout seul...)

    Encore un grand merci & bonne soirée ! ;)

    Lotuxounet
     
  8. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,488
    "J'aime" reçus :
    77
    Si la version non-stable reste suffisamment longtemps, je ferai peut-être une exception puisqu'effectivement, les mods ont tendance à prendre un peu d'avance.

    Ah ! Je ne l'ai jamais testé en vérité, j'ai commencé direct chez LMC.
    Peut-être que je testerai pour voir. Et gloire au dieu Minecraft !

    En tout cas, bonne soirée à toi aussi ! :D

    Problème résolu, je lock.
     
Statut:
Fermé aux futures réponses.

Partager cette page